// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: commonmodule/commonmodule.proto

package openfmb.commonmodule;

public interface ACDCTerminalOrBuilder extends
    // @@protoc_insertion_point(interface_extends:commonmodule.ACDCTerminal)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.IdentifiedObject identifiedObject = 1 [(.uml.option_parent_message) = true];</code>
   * @return Whether the identifiedObject field is set.
   */
  boolean hasIdentifiedObject();
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.IdentifiedObject identifiedObject = 1 [(.uml.option_parent_message) = true];</code>
   * @return The identifiedObject.
   */
  openfmb.commonmodule.IdentifiedObject getIdentifiedObject();
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.IdentifiedObject identifiedObject = 1 [(.uml.option_parent_message) = true];</code>
   */
  openfmb.commonmodule.IdentifiedObjectOrBuilder getIdentifiedObjectOrBuilder();

  /**
   * <pre>
   * The connected status is related to a bus-branch model and the topological node to terminal
   * relation.  True implies the terminal is connected to the related topological node and false implies
   * it is not.  In a bus-branch model, the connected status is used to tell if equipment is disconnected
   * without having to change the connectivity described by the topological node to terminal relation. A
   * valid case is that conducting equipment can be connected in one end and open in the other. In
   * particular for an AC line segment, where the reactive line charging can be significant, this is a
   * relevant case.
   * </pre>
   *
   * <code>.google.protobuf.BoolValue connected = 2;</code>
   * @return Whether the connected field is set.
   */
  boolean hasConnected();
  /**
   * <pre>
   * The connected status is related to a bus-branch model and the topological node to terminal
   * relation.  True implies the terminal is connected to the related topological node and false implies
   * it is not.  In a bus-branch model, the connected status is used to tell if equipment is disconnected
   * without having to change the connectivity described by the topological node to terminal relation. A
   * valid case is that conducting equipment can be connected in one end and open in the other. In
   * particular for an AC line segment, where the reactive line charging can be significant, this is a
   * relevant case.
   * </pre>
   *
   * <code>.google.protobuf.BoolValue connected = 2;</code>
   * @return The connected.
   */
  com.google.protobuf.BoolValue getConnected();
  /**
   * <pre>
   * The connected status is related to a bus-branch model and the topological node to terminal
   * relation.  True implies the terminal is connected to the related topological node and false implies
   * it is not.  In a bus-branch model, the connected status is used to tell if equipment is disconnected
   * without having to change the connectivity described by the topological node to terminal relation. A
   * valid case is that conducting equipment can be connected in one end and open in the other. In
   * particular for an AC line segment, where the reactive line charging can be significant, this is a
   * relevant case.
   * </pre>
   *
   * <code>.google.protobuf.BoolValue connected = 2;</code>
   */
  com.google.protobuf.BoolValueOrBuilder getConnectedOrBuilder();

  /**
   * <pre>
   * The orientation of the terminal connections for a multiple terminal conducting equipment.  The
   * sequence numbering starts with 1 and additional terminals should follow in increasing order.   The
   * first terminal is the "starting point" for a two terminal branch.
   * </pre>
   *
   * <code>.google.protobuf.Int32Value sequenceNumber = 3;</code>
   * @return Whether the sequenceNumber field is set.
   */
  boolean hasSequenceNumber();
  /**
   * <pre>
   * The orientation of the terminal connections for a multiple terminal conducting equipment.  The
   * sequence numbering starts with 1 and additional terminals should follow in increasing order.   The
   * first terminal is the "starting point" for a two terminal branch.
   * </pre>
   *
   * <code>.google.protobuf.Int32Value sequenceNumber = 3;</code>
   * @return The sequenceNumber.
   */
  com.google.protobuf.Int32Value getSequenceNumber();
  /**
   * <pre>
   * The orientation of the terminal connections for a multiple terminal conducting equipment.  The
   * sequence numbering starts with 1 and additional terminals should follow in increasing order.   The
   * first terminal is the "starting point" for a two terminal branch.
   * </pre>
   *
   * <code>.google.protobuf.Int32Value sequenceNumber = 3;</code>
   */
  com.google.protobuf.Int32ValueOrBuilder getSequenceNumberOrBuilder();
}
